\name{getGenomesFromMutationFeatureData}
\alias{getGenomesFromMutationFeatureData}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  getGenomesFromMutationFeatureData
}
\description{
  Takes a MutationFeatureData object (mutation count data) as read by
  the 'pmsignature' package (e.g., by pmsignature::readMPFile) and
  extracts the mutation counts. For passing them to
  decomposeTumorGenomes, the mutation counts must be normalized to
  mutation fractions, which is done by default. IMPORTANT: set
  normalize=FALSE only if you are interested in full integer counts, but
  do not pass unnormalized counts to decomposeTumorGenomes!
}
\usage{
getGenomesFromMutationFeatureData(countData, normalize=TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{countData}{
    (Mandatory) A MutationFeatureData object as constructed, for
    example, by pmsignature::readMPFile.
  }
  \item{normalize}{
    (Optional) Boolean value to specify whether to normalize the
    mutation count data to mutation fractions between 0 and 1. This is
    the default and NECESSARY in case you want to pass the return value
    to decomposeTumorGenomes. Set normalize=FALSE only if you are
    interested in full integer counts, but do not pass unnormalized
    counts to decomposeTumorGenomes!
  }
}
%\details{
%}
\value{
  A list of (normalized) mutation counts, one object per genome. The
  format is the same table used by the corresponding Shiraishi signatures.
}
\references{
Krueger, Piro (2017) Identification of Mutational Signatures Active in
Individual Tumors. NETTAB 2017 - Methods, Tools & Platforms for Personalized Medicine in the Big Data Era, October 16-18, 2017, Palermo, Italy. PeerJ Preprints 5:e3257v1, 2017.\cr
http://rmpiro.net/index.html#downloads
}
\author{
  Rosario M. Piro, Sandra Krueger\cr
  Freie Universitaet Berlin\cr
  Maintainer: Rosario M. Piro\cr
  E-Mail: <r.piro@fu-berlin.de> or <rmpiro@gmail.com>
}
%\note{
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
decompTumor2Sig
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{mutational signatures}
\keyword{mutation signatures}
\keyword{mutations}
\keyword{tumor genomes}
